## MateCanvasClipgroup MateCanvasClipgroup — Canvas group that implements clipping |

## Synopsis

    #include <libmatecanvas/libmatecanvas.h>

    struct              MateCanvasClipgroup;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----MateCanvasItem
                         +----MateCanvasGroup
                               +----MateCanvasClipgroup

## Properties

      "path"                     gpointer              : Read / Write
      "wind"                     guint                 : Read / Write

## Description

A canvas group object that clips the view of its children to a shape defined by a MateCanvasPathDef.

## Details

### struct MateCanvasClipgroup

    struct MateCanvasClipgroup;

This structure should not be accessed directly. Use the object's properties for querying or changing its parameters.

## Property Details

### The `"path"` property

      "path"                     gpointer              : Read / Write

Pointer to a MateCanvasPathDef structure which can be created with `mate_canvas_path_def_new()`.

### The `"wind"` property

      "wind"                     guint                 : Read / Write

Winding rule (ArtWindRule) enumeration (ART_WIND_RULE_NONZERO, ART_WIND_RULE_INTERSECT, ART_WIND_RULE_ODDEVEN, and ART_WIND_RULE_POSITIVE), see libart for details. Defines the clipping intersection rule (FIXME?).

Default value: 0